org.apache.hadoop.yarn.api

## Interface ApplicationClientProtocolPB

- All Superinterfaces:
    org.apache.hadoop.yarn.proto.ApplicationClientProtocol.ApplicationClientProtocolService.BlockingInterface
  All Known Implementing Classes:
    ApplicationClientProtocolPBServiceImpl

      @InterfaceAudience.Private
       @InterfaceStability.Unstable
      public interface ApplicationClientProtocolPB
      extends org.apache.hadoop.yarn.proto.ApplicationClientProtocol.ApplicationClientProtocolService.BlockingInterface

- - ### Method Summary

    - ### Methods inherited from interface org.apache.hadoop.yarn.proto.ApplicationClientProtocol.ApplicationClientProtocolService.BlockingInterface

      `cancelDelegationToken, deleteReservation, failApplicationAttempt, forceKillApplication, getApplicationAttemptReport, getApplicationAttempts, getApplicationReport, getApplications, getAttributesToNodes, getClusterMetrics, getClusterNodeAttributes, getClusterNodeLabels, getClusterNodes, getContainerReport, getContainers, getDelegationToken, getLabelsToNodes, getNewApplication, getNewReservation, getNodesToAttributes, getNodeToLabels, getQueueInfo, getQueueUserAcls, getResourceProfile, getResourceProfiles, getResourceTypeInfo, listReservations, moveApplicationAcrossQueues, renewDelegationToken, signalToContainer, submitApplication, submitReservation, updateApplicationPriority, updateApplicationTimeouts, updateReservation`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.